Define a feature
const url = 'https://api.seal0.app/v1/features';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"default_value":true,"description":"example","enum_options":["example"],"grace_percent":1,"key":"example","name":"example","value_type":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.seal0.app/v1/features \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "default_value": true, "description": "example", "enum_options": [ "example" ], "grace_percent": 1, "key": "example", "name": "example", "value_type": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Optional; replays the stored response for 24 hours.
Request Bodyrequired
Section titled “Request Bodyrequired”object
Metered features only: how far usage may exceed the limit before the feature is no longer granted. 0 is a hard limit. Defaults to 0; must be 0 for other types.
Feature or plan key.
Example generated
{ "default_value": true, "description": "example", "enum_options": [ "example" ], "grace_percent": 1, "key": "example", "name": "example", "value_type": "example"}Responses
Section titled “Responses”The created feature.
object
Metered features only: how far usage may exceed the limit before the feature is no longer granted. 0 is a hard limit. Always 0 for other types.
Feature or plan key.
Example generated
{ "created_at": "2026-04-15T12:00:00Z", "default_value": true, "description": "example", "enum_options": [ "example" ], "grace_percent": 1, "id": "example", "key": "example", "name": "example", "updated_at": "2026-04-15T12:00:00Z", "value_type": "example"}Error envelope.
object
object
Stable snake_case error code.
Offending input field, when known.
Example generated
{ "error": { "code": "example", "field": "example", "message": "example", "request_id": "example" }}Error envelope.
object
object
Stable snake_case error code.
Offending input field, when known.
Example generated
{ "error": { "code": "example", "field": "example", "message": "example", "request_id": "example" }}Error envelope.
object
object
Stable snake_case error code.
Offending input field, when known.
Example generated
{ "error": { "code": "example", "field": "example", "message": "example", "request_id": "example" }}Error envelope.
object
object
Stable snake_case error code.
Offending input field, when known.
Example generated
{ "error": { "code": "example", "field": "example", "message": "example", "request_id": "example" }}Error envelope.
object
object
Stable snake_case error code.
Offending input field, when known.
Example generated
{ "error": { "code": "example", "field": "example", "message": "example", "request_id": "example" }}default
Section titled “default”Error envelope.
object
object
Stable snake_case error code.
Offending input field, when known.
Example generated
{ "error": { "code": "example", "field": "example", "message": "example", "request_id": "example" }}